現在デフォルトスキンとして「Season (Autumn)」を適用中。

【不具合】Warning: Constants may only evaluate to scalar values in | 不具合報告 | Cocoon フォーラム

書き込みの前に以下の3点をご確認ください。
  1. 1つのトピックにつき1つの質問を書き込んでください
  2. 不具合・カスタマイズ対象ページのURLを提示してください
  3. 該当部分のキャプチャ・環境情報とともに書き込んでいただけると助かります

フォーラム利用ガイドリンク

  1. フォーラムガイドライン
  2. よくある質問と答え(FAQ)
  3. サポート対象外のケース
  4. 原因不明の不具合用トラブルシューティング
  5. トピックにHTMLを貼り付ける方法(推奨ツール:notepad.pw
  6. 真っ白画面でのエラーメッセージの確認方法 
  7. ブラウザ環境チェックツール

フォーラムの内容は、CCライセンス(CC BY-ND 2.1)準じていれば(リンクを貼っていただければ)転載も自由です。カスタマイズ記事を書く際にコード等をコピペ利用していただいて構いません。

フォーラムの使い方がよくわからない場合は、テストトピックで自由にテストしていただいて構いません。

詳細なカスタマイズ依頼をするならこちら。

フォーラムのTwitterアカウント(@CocoonForum)はこちら

スポンサーリンク
【不具合】Warning: Const...
 
Share:

【不具合】Warning: Constants may only evaluate to scalar values in  


Azuho Mikami
(@mikan29846)
New Memberサイト
参加: 2年 前
投稿: 1
2018年3月19日 21:58  

はじめまして、三上と申します。

ちょうど新しいホームページを作成し始めたところなので、ダウンロードさせていただきました。

Warning: Constants may only evaluate to scalar values in~というメッセージがページ上部に表示されます。

行は全部で5行。on line 63、on line 70、on line 81、on line 89、on line 176にエラーがあるようです。

ご確認のほどよろしくお願いいたします。

 

三上梓穂


引用
わいひら
(@yhira)
メンバーサイト Admin
参加: 2年 前
投稿: 6440
わいひら - Facebookわいひら - Twitter
2018年3月19日 22:45  

不具合報告ありがとうございます。

ご報告いただいたPHP警告は以下のバージョンで改善出来たかと思います。

https://wp-cocoon.com/0-1-9/

新しくダウンロードページからファイルをダウンロードし上書きアップロードして試してみていただけると幸いです。


返信引用
Akira
(@akira)
Reputable Memberサイト
参加: 2年 前
投稿: 360
Akira - FacebookAkira - TwitterAkira - Google+
2018年3月20日 00:18  

バージョン 0.1.9 にしましたが、以下のエラーが出ます。

PHP Warning: Constants may only evaluate to scalar values in /home/ubuntu/workspace/wp-content/themes/cocoon-master/lib/page-settings/code-funcs.php on line 176

とりあえず以下のようにすると、エラーは消えました。ただ、これで良いのか自信が全くありません。

lib/page-settings の27 行目を以下のように変更。

$config['HIGHLIGHT_STYLES'] =

175 行目の ) を削除。


返信引用
digimaga
(@digimaga)
Active Member
参加: 2年 前
投稿: 7
2018年3月20日 00:36  

修正対応お疲れ様です。

バージョン: 0.1.9を試してみたところ、
> Warning: Constants may only evaluate to scalar values in /home/*****/public_html/wp-content/themes/cocoon-master/lib/page-settings/code-funcs.php on line 176
のエラーのみ残りました。

ライブプレビュー、有効化後のどちらでもです。
プラグインについては現状動作しているものが多いため止めてのテストはしていません。

ひとまず報告まで。


返信引用
わいひら
(@yhira)
メンバーサイト Admin
参加: 2年 前
投稿: 6440
わいひら - Facebookわいひら - Twitter
2018年3月20日 01:31  

@akiraさん、@digimagaさんご報告ありがとうございます。
ちょっと試しに修正してみました。
これだといかがでしょう?
https://wp-cocoon.com/wp-content/uploads/2018/03/cocoon-master-2.zip

上記のファイルでダメな場合は、PHPのバージョンを教えていただければと思います。


返信引用
Akira
(@akira)
Reputable Memberサイト
参加: 2年 前
投稿: 360
Akira - FacebookAkira - TwitterAkira - Google+
2018年3月20日 02:32  

夢中になって中身を見ていました。

テスト環境を php 7.0 にし、上記のファイルをインストールすることで、エラーが解消しました。

わいひらさん、あまり無理をされずにお休み下さい。


返信引用
わいひら
(@yhira)
メンバーサイト Admin
参加: 2年 前
投稿: 6440
わいひら - Facebookわいひら - Twitter
2018年3月20日 02:43  

動作確認ありがとうございます。
ちなみに、PHP警告が出ていたPHPのバージョンは幾つだったでしょうか?

確かに、病み上がりなので今日はこのぐらいで寝させていただこうと思います(笑)


返信引用
digimaga
(@digimaga)
Active Member
参加: 2年 前
投稿: 7
2018年3月20日 09:45  

@yhiraさん、対応ありがとうございます。
さきほどPHP7.1.2にアップデートしたところ
エラーが解消されました。

エラーが出ていたバージョンはPHP5.3.3です。
こちらは「cocoon-master-2.zip」を適用しても
エラーが表示されたままでした。


返信引用
わいひら
(@yhira)
メンバーサイト Admin
参加: 2年 前
投稿: 6440
わいひら - Facebookわいひら - Twitter
2018年3月20日 11:32  

Cocoonは、できればPHP7以上、少なくとも5.6以上が推奨となっています。
https://wp-cocoon.com/downloads/#toc4
なので、PHP5.3.3だと、文法自体が対応していなかったかもしれません。
古い環境でも大丈夫なように書くと、対応するだけで多くの時間がとられてしまうため、現在5.6以上を推奨とさせていただいています。

ご確認いただいてありがとうございます!


yuiko 件のいいね!
返信引用
Akira
(@akira)
Reputable Memberサイト
参加: 2年 前
投稿: 360
Akira - FacebookAkira - TwitterAkira - Google+
2018年3月20日 12:32  

私も php 5.5.9 と古いものを使っていました。 php7.0 であれば、Cocoon 0.1.9 でもエラーは出ませんでした。

php バージョンを落としていたのを忘れていました。


返信引用
わいひら
(@yhira)
メンバーサイト Admin
参加: 2年 前
投稿: 6440
わいひら - Facebookわいひら - Twitter
2018年3月20日 14:37  

ご確認ありがとうございます。
やはり最低でも、5.6はないとダメっぽいですね。
通知の見やすいところに案内を書いておこうと思います。


返信引用

返信する


許可された最大ファイルサイズ 3MB

 
Share:
スポンサーリンク
わいひらをフォローする
おすすめサーバ

性能も兼ね備えながら安くブログ運営を開始したいのであればここ1択。

◎LiteSpeedを用いた高速サーバー(完全SSD)
◎http/2・QUIC(高速化プロトコル)に対応
◎東京・大阪でリージョン選択が可能
◎プランのアップ・ダウングレードが自由自在
◎同サービス内でドメイン管理が可能
◎転送量が多い
◎毎日無料バックアップ(14日分)
◎復元ポイントを指定して復旧可能(無料)
◎アダルト・出会い系サイト可
◎ドメインとサーバー代のチャージ払いが可能
○サーバ引っ越しオプションあり(有料)
サービス運営期間:1年1ヶ月

1年以上の契約をする場合は、クーポンコード入力でさらに10%割引(※2019/12/31まで)。

クーポンコード:PK4JK4RJ

クーポンの使用方法はこちら

プラン変更で負荷対策が行えるので、ブログ向きのレンタルサーバーです。

◎LiteSpeedを用いた高速サーバー(完全SSD)
◎http/2・QUIC(高速化プロトコル)に対応
◎プランのアップ・ダウングレードが自由自在
◎転送量が多い
◎毎日無料バックアップ(14日分)
◎復元ポイントを指定して復旧可能(無料)
◎アダルト・出会い系サイト可
○サーバ引っ越しオプションあり(有料)
○サーバー料金をチャージ払いが可能
サービス運営期間:3年

安定感抜群のサーバーです。あまり急激なアクセス変動がないアフィリエイトサイトに向いています。

◎nginxを用いた高速サーバー(完全SSD)
◎老舗サーバーなので安定感抜群
◎ディスク容量が多い
◎転送量が多い
◎同サービス内でドメイン管理が可能
○http/2(高速化プロトコル)に対応
○毎日無料バックアップ(14日分)
△DBは7日分だけ無料復旧可能(ファイルは有料)
×プラン変更でCPUのスペックアップができない
×プラン変更しても即時反映されない
×アダルト・出会い系サイト不可
サービス運営期間:16年

とにかく速い。サイトに表示スピードを求めるならココ。

◎nginxを用いた高速サーバー(完全SSD)
◎プランのアップ・ダウングレードが自由自在
◎ディスク容量が多い
◎転送量が多い
○http/2(高速化プロトコル)に対応
○毎日無料バックアップ(14日分)
○DB復旧は無料(ファイルは有料)
○サーバ引っ越しツールあり
○サーバー料金をチャージ払いが可能
△新しいサービスなので運営櫪がまだ短い
サービス運営期間:11ヶ月

格安な値段で始められる高機能サーバーです。
性能も備えつつ最安ならここ。
サイトを続けるうちにアクセスが増えれば、プランのアップグレートで対応可能です。

◎LiteSpeedを用いた高速サーバー(完全SSD)
◎激安プランが用意してある
◎値段あたりのスペックが高い(コスパ良し)
◎サーバ引っ越しオプションあり(無料)
◎アダルト・出会い系サイト可
○http/2(高速化プロトコル)に対応
△プランのアップは可能だがダウンは不可
△毎日自動バックアップ(1日分)
△前日のバックアップからのみ復元できる(無料)
サービス運営期間:3年

Cocoon
  
動作中

ログイン または 登録 してください

タイトルとURLをコピーしました